<h1 mat-dialog-title>Adicionar Atleta</h1>
<form (submit)="onSubmit($event)" [formGroup]="athleteForm">
    <mat-dialog-content>
        <mat-form-field>
            <mat-label>Name</mat-label>
            <input
                formControlName="name"
                matInput
                name="name"
                placeholder="Nome do Atleta"
            />
            <mat-error *ngIf="athleteForm.get('name').hasError('required')">
                Nome obrigatório
            </mat-error>
            <mat-icon matPrefix>account_circle</mat-icon>
        </mat-form-field>

        <mat-form-field>
            <mat-label>Email</mat-label>
            <input
                formControlName="email"
                matInput
                name="email"
                placeholder="User email"
                type="email"
            />
            <mat-error *ngIf="athleteForm.get('email').hasError('required')">
                Email obrigatório
            </mat-error>
            <mat-error
                *ngIf="
                    athleteForm.get('email').hasError('email') ||
                    athleteForm.get('email').hasError('invalidEmail')
                "
            >
                Email inválido
            </mat-error>
            <mat-icon matPrefix>email</mat-icon>
        </mat-form-field>

        <mat-form-field>
            <mat-label>Data de Nascimento</mat-label>
            <input
                [matDatepicker]="picker"
                formControlName="birthdayDate"
                matInput
                name="birthdayDate"
            />
            <mat-datepicker-toggle
                [for]="picker"
                matSuffix
            ></mat-datepicker-toggle>
            <mat-datepicker #picker></mat-datepicker>

            <mat-error
                *ngIf="athleteForm.get('birthdayDate').hasError('required')"
            >
                Data de Nascimento é obrigatória
            </mat-error>

            <mat-icon matPrefix>event</mat-icon>
        </mat-form-field>

        <ng-template [canView]="[1, 3]">
            <mat-form-field>
                <mat-label>Personal Trainer</mat-label>
                <mat-select
                    formControlName="personalTrainer"
                    placeholder="Selecione um personal trainer"
                >
                    <mat-option
                        *ngFor="let user of personalTrainers$ | async"
                        [value]="user.employee_info.id"
                    >
                        {{ user.name }}
                    </mat-option>
                </mat-select>

                <mat-icon matPrefix>account_circle</mat-icon>

                <mat-error
                    *ngIf="
                        athleteForm.get('personalTrainer').hasError('required')
                    "
                >
                    A escolha de um Personal Trainer é obrigatória!
                </mat-error>
            </mat-form-field>
        </ng-template>
    </mat-dialog-content>

    <mat-dialog-actions>
        <button
            [disabled]="!athleteForm.valid"
            color="primary"
            mat-button
            type="submit"
        >
            <mat-icon>person_add</mat-icon>
            Adicionar
        </button>
        <button (click)="onClose()" color="accent" mat-button type="button">
            <mat-icon>cancel</mat-icon>
            Cancelar
        </button>
    </mat-dialog-actions>
</form>
